import { createApp, Component } from 'vue'

export function mountComponent<Exposed = any>(RootComponent: Component) {
  const app = createApp(RootComponent)
  const root = document.createElement('div')

  document.body.appendChild(root)

  return {
    instance: app.mount(root) as any as Exposed,
    unmount() {
      app.unmount()
      document.body.removeChild(root)
    },
  }
}
