declare namespace ApiUser {
  namespace Register {
    interface Request {
      name: string
      email: string
      password: string
      password_confirmation: string
    }
  }

  namespace Login {
    interface Request {
      email: string
      password: string
    }
  }

  namespace PasswordReset {
    interface Request {
      token: string
      email: string
      password: string
      password_confirmation: string
    }
  }

  namespace PasswordChange {
    interface Request {
      old_password: string
      new_password: string
      new_password_confirmation: string
    }
  }

  namespace Update {
    interface Request {
      name: string
      mobile: string
    }
  }

  namespace Info {
    interface Response {
      id: number
      name: string
      email: string
      mobile: string
      address: string
      /** 注册来源：1邮箱；2Facebook；3Google；4Apple */
      from: number
      num_gift_card: number
      num_order: number
      num_repair: number
      orders: {
        id: number
        phone_info: string
        phone_imei: string
        product_name: string
        start_time: string
        end_time: string
      }[]
    }
  }
}
